<?php if (Session::get("tipo_usuario") != "1"){ show_403();} ?>
<?php import_file(DIR_TEMPLATES."header.php", ["title" => "Configurações"]); ?>
<?php import_file(DIR_MODELS."Model.class.php"); ?>

<?php 

	$model = new Model();
	
	$result = $model->query("SELECT * FROM configuracao");
	$dados = $result->fetch();

?>

<h4 class="mb-3">
	<i class="fa-regular fa-cogs"></i> Configurações
</h4>

<div class="content-box">
	<form action="<?php echo show_link("/editar-configuracoes/"); ?>" method="post" enctype="multipart/form-data">
		<h5 class="mb-3">Layout do Sistema</h5>
		<div class="form-row">
			<div class="col-xl-6 col-lg-6 col-md-6 col-sm-12">
				<div class="form-group">
					<div class="input-group">
						<div class="input-group-prepend">
							<label for="nome-sistema" class="input-group-text">Nome do Sistema</label>
						</div>
						<input type="text" name="nome_sistema" id="nome-sistema" class="form-control" value="<?php echo $dados->nome_sistema; ?>" maxlength="60" required>
					</div>
				</div>
			</div>
			<div class="col-xl-6 col-lg-6 col-md-6 col-sm-12">
				<div class="form-group">
					<div class="input-group">
						<div class="input-group-prepend">
							<label for="padrao-apresentacao" class="input-group-text">Padrão de Apresentação</label>
						</div>
						<select name="padrao_apresentacao" id="padrao-apresentacao" class="form-control" required>
							<option value="">Selecione um...</option>
							<option value="1">Logo com Nome do Sistema</option>
							<option value="2">Somente Logo</option>
							<option value="3">Somente Nome do Sistema</option>
						</select>
					</div>
				</div>

				<script>
					$(function(){
						$("#padrao-apresentacao").val("<?php echo $dados->padrao_apresentacao; ?>");
					});
				</script>
			</div>
		</div>

		<div class="form-row align-items-center mb-3">
			<div class="col-xl-3 col-lg-3 col-md-4 col-sm-12 text-center text-md-left">
				<img src="<?php echo show_link($dados->logo_sistema); ?>" id="imagem-escolhida-logo" class="img-fluid img-thumbnail my-2">
			</div>
			<div class="col-xl-9 col-lg-9 col-md-8 col-sm-12">
				<div class="form-group">
					<label for="imagem-logo">Logo<span class="text-danger">*</span></label>
					<div class="input-group">
						<input type="text" id="diretorio-imagem-logo" class="form-control" value="<?php echo $dados->logo_sistema; ?>" readonly>
						<div class="input-group-append">
							<button type="button" id="btn-procurar-logo" class="btn btn-secondary"><i class="fa-regular fa-folder-open"></i> Procurar</button>
						</div>
					</div>
					<input type="file" name="imagem_logo" id="imagem-logo" class="d-none" accept="image/*">
					<input type="hidden" name="logo_antiga" class="d-none" value="<?php echo $dados->logo_sistema; ?>">
				</div>
			</div>
		</div>

		<script>
			$("#btn-procurar-logo").click(function(){
				$("#imagem-logo").click();

				$("#imagem-logo").change(function(){
					$("#diretorio-imagem-logo").val($(this).prop("files")[0].name);
					imagePreview($(this), $("#imagem-escolhida-logo"));
					$("#imagem-logo").attr("required", true);
				});
			});
		</script>

		<div class="form-row align-items-center mb-3">
			<div class="col-xl-3 col-lg-3 col-md-4 col-sm-12 text-center text-md-left">
				<img src="<?php echo show_link($dados->icone_sistema); ?>" id="imagem-escolhida-icone" class="img-fluid img-thumbnail my-2">
			</div>
			<div class="col-xl-9 col-lg-9 col-md-8 col-sm-12">
				<div class="form-group">
					<label for="imagem-icone">Icone<span class="text-danger">*</span></label>
					<div class="input-group">
						<input type="text" id="diretorio-imagem-icone" class="form-control" value="<?php echo $dados->icone_sistema; ?>" readonly>
						<div class="input-group-append">
							<button type="button" id="btn-procurar-icone" class="btn btn-secondary"><i class="fa-regular fa-folder-open"></i> Procurar</button>
						</div>
					</div>
					<span><i>Tamanho Recomendado 128x128 pixels</i></span>
					<input type="file" name="imagem_icone" id="imagem-icone" class="d-none" accept="image/*">
					<input type="hidden" name="icone_antigo" class="d-none" value="<?php echo $dados->icone_sistema; ?>">
				</div>
			</div>
		</div>

		<script>
			$("#btn-procurar-icone").click(function(){
				$("#imagem-icone").click();

				$("#imagem-icone").change(function(){
					$("#diretorio-imagem-icone").val($(this).prop("files")[0].name);
					imagePreview($(this), $("#imagem-escolhida-icone"));
					$("#imagem-icone").attr("required", true);
				});
			});
		</script>

		<div class="form-row">
			<div class="col-xl-6 col-lg-6 col-md-6 col-sm-12">
				<div class="form-group">
					<label for="cor-topo">Cor da Navbar<span class="text-danger">*</span></label>
					<div class="input-group">
						<div class="input-group-prepend">
							<div class="input-group-text">
								<div id="campo-cor-topo" style="background-color: <?php echo $dados->cor_topo; ?>; border: 1px solid #ced4da; width: 23px; height: 23px; border-radius: 5px;"></div>
							</div>
						</div>
						<input type="text" id="hexadecimal-topo" class="form-control color-mask" value="<?php echo $dados->cor_topo; ?>" required>
						<div class="input-group-append ">
							<button type="button" id="escolher-cor-topo" class="btn btn-secondary"><i class="fa-regular fa-palette"></i> Escolher Cor</button>
						</div>
					</div>
					<input type="color" name="cor_topo" id="cor-topo" class="d-none" value="<?php echo $dados->cor_topo; ?>" required>
				</div>

				<script>
					$("#escolher-cor-topo").click(function(){
						$("#cor-topo").click();
						$("#cor-topo").change(function(){
							var color = $("#cor-topo").val();
							$("#campo-cor-topo").css("background", color);
							$("#hexadecimal-topo").val(color);
						});
					});

					$("#hexadecimal-topo").keyup(function(){
						var color = $(this).val();
						$("#cor-topo").val(color);
						$("#campo-cor-topo").css("background", color);
					});
				</script>
			</div>

			<div class="col-xl-6 col-lg-6 col-md-6 col-sm-12">
				<div class="form-group">
					<label for="cor-texto-topo">Cor do Texto do Navbar<span class="text-danger">*</span></label>
					<div class="input-group">
						<div class="input-group-prepend">
							<div class="input-group-text">
								<div id="campo-cor-texto-topo" style="background-color: <?php echo $dados->cor_texto_topo; ?>; border: 1px solid #ced4da; width: 23px; height: 23px; border-radius: 5px;"></div>
							</div>
						</div>
						<input type="text" id="hexadecimal-texto-topo" class="form-control color-mask" value="<?php echo $dados->cor_texto_topo; ?>" required>
						<div class="input-group-append ">
							<button type="button" id="escolher-cor-texto-topo" class="btn btn-secondary"><i class="fa-regular fa-palette"></i> Escolher Cor</button>
						</div>
					</div>
					<input type="color" name="cor_texto_topo" id="cor-texto-topo" class="d-none" value="<?php echo $dados->cor_texto_topo; ?>" required>
				</div>

				<script>
					$("#escolher-cor-texto-topo").click(function(){
						$("#cor-texto-topo").click();
						$("#cor-texto-topo").change(function(){
							var color = $("#cor-texto-topo").val();
							$("#campo-cor-texto-topo").css("background", color);
							$("#hexadecimal-texto-topo").val(color);
						});
					});

					$("#hexadecimal-texto-topo").keyup(function(){
						var color = $(this).val();
						$("#cor-topo").val(color);
						$("#campo-cor-topo").css("background", color);
					});
				</script>
			</div>
		</div>

		<label>Degradê <i>(Navbar, Cor de Fundo Login, Cor de Fundo Esqueci Minha Senha e Cor de Fundo Cadastro de Usuário)</i><span class="text-danger">*</span></label>
		<div class="form-row">
			<div class="col-xl-6 col-lg-6 col-md-6 col-sm-12">
				<div class="form-group">
					<div class="input-group">
						<div class="input-group-prepend">
							<div class="input-group-text">
								<div id="campo-primeira-cor-degrade" style="background-color: <?php echo $dados->primeira_cor_degrade; ?>; border: 1px solid #ced4da; width: 23px; height: 23px; border-radius: 5px;"></div>
							</div>
						</div>
						<input type="text" id="hexadecimal-primeira-cor-degrade" class="form-control color-mask" value="<?php echo $dados->primeira_cor_degrade; ?>" required>
						<div class="input-group-append ">
							<button type="button" id="escolher-primeira-cor-degrade" class="btn btn-secondary"><i class="fa-regular fa-palette"></i> Escolher Cor</button>
						</div>
					</div>
					<input type="color" name="primeira_cor_degrade" id="primeira-cor-degrade" class="d-none" value="<?php echo $dados->primeira_cor_degrade; ?>" required>
				</div>

				<script>
					$("#escolher-primeira-cor-degrade").click(function(){
						$("#primeira-cor-degrade").click();
						$("#primeira-cor-degrade").change(function(){
							var color = $("#primeira-cor-degrade").val();
							$("#campo-primeira-cor-degrade").css("background", color);
							$("#hexadecimal-primeira-cor-degrade").val(color);
						});
					});

					$("#hexadecimal-primeira-cor-degrade").keyup(function(){
						var color = $(this).val();
						$("#primeira-cor-degrade").val(color);
						$("#campo-primeira-cor-degrade").css("background", color);
					});
				</script>
			</div>
			<div class="col-xl-6 col-lg-6 col-md-6 col-sm-12">
				<div class="form-group">
					<div class="input-group">
						<div class="input-group-prepend">
							<div class="input-group-text">
								<div id="campo-segunda-cor-degrade" style="background-color: <?php echo $dados->segunda_cor_degrade; ?>; border: 1px solid #ced4da; width: 23px; height: 23px; border-radius: 5px;"></div>
							</div>
						</div>
						<input type="text" id="hexadecimal-segunda-cor-degrade" class="form-control color-mask" value="<?php echo $dados->segunda_cor_degrade; ?>" required>
						<div class="input-group-append ">
							<button type="button" id="escolher-segunda-cor-degrade" class="btn btn-secondary"><i class="fa-regular fa-palette"></i> Escolher Cor</button>
						</div>
					</div>
					<input type="color" name="segunda_cor_degrade" id="segunda-cor-degrade" class="d-none" value="<?php echo $dados->segunda_cor_degrade; ?>" required>
				</div>

				<script>
					$("#escolher-segunda-cor-degrade").click(function(){
						$("#segunda-cor-degrade").click();
						$("#segunda-cor-degrade").change(function(){
							var color = $("#segunda-cor-degrade").val();
							$("#campo-segunda-cor-degrade").css("background", color);
							$("#hexadecimal-segunda-cor-degrade").val(color);
						});
					});

					$("#hexadecimal-segunda-cor-degrade").keyup(function(){
						var color = $(this).val();
						$("#segunda-cor-degrade").val(color);
						$("#campo-segunda-cor-degrade").css("background", color);
					});
				</script>
			</div>
		</div>

		<div class="form-row">
			<div class="col-xl-4 col-lg-4 col-md-6 col-sm-12">
				<div class="form-group">
					<label for="cor-sidebar">Cor do Sidebar<span class="text-danger">*</span></label>
					<div class="input-group">
						<div class="input-group-prepend">
							<div class="input-group-text">
								<div id="campo-cor-sidebar" style="background-color: <?php echo $dados->cor_sidebar; ?>; border: 1px solid #ced4da; width: 23px; height: 23px; border-radius: 5px;"></div>
							</div>
						</div>
						<input type="text" id="hexadecimal-sidebar" class="form-control color-mask" value="<?php echo $dados->cor_sidebar; ?>" required>
						<div class="input-group-append ">
							<button type="button" id="escolher-cor-sidebar" class="btn btn-secondary"><i class="fa-regular fa-palette"></i> Escolher Cor</button>
						</div>
					</div>
					<input type="color" name="cor_sidebar" id="cor-sidebar" class="d-none" value="<?php echo $dados->cor_sidebar; ?>" required>
				</div>

				<script>
					$("#escolher-cor-sidebar").click(function(){
						$("#cor-sidebar").click();
						$("#cor-sidebar").change(function(){
							var color = $("#cor-sidebar").val();
							$("#campo-cor-sidebar").css("background", color);
							$("#hexadecimal-sidebar").val(color);
						});
					});

					$("#hexadecimal-sidebar").keyup(function(){
						var color = $(this).val();
						$("#cor-sidebar").val(color);
						$("#campo-cor-sidebar").css("background", color);
					});
				</script>
			</div>

			<div class="col-xl-4 col-lg-4 col-md-6 col-sm-12">
				<div class="form-group">
					<label for="cor-texto-sidebar">Cor do Texto do Sidebar<span class="text-danger">*</span></label>
					<div class="input-group">
						<div class="input-group-prepend">
							<div class="input-group-text">
								<div id="campo-cor-texto-sidebar" style="background-color: <?php echo $dados->cor_texto_sidebar; ?>; border: 1px solid #ced4da; width: 23px; height: 23px; border-radius: 5px;"></div>
							</div>
						</div>
						<input type="text" id="hexadecimal-texto-sidebar" class="form-control color-mask" value="<?php echo $dados->cor_texto_sidebar; ?>" required>
						<div class="input-group-append ">
							<button type="button" id="escolher-cor-texto-sidebar" class="btn btn-secondary"><i class="fa-regular fa-palette"></i> Escolher Cor</button>
						</div>
					</div>
					<input type="color" name="cor_texto_sidebar" id="cor-texto-sidebar" class="d-none" value="<?php echo $dados->cor_texto_sidebar; ?>" required>
				</div>

				<script>
					$("#escolher-cor-texto-sidebar").click(function(){
						$("#cor-texto-sidebar").click();
						$("#cor-texto-sidebar").change(function(){
							var color = $("#cor-texto-sidebar").val();
							$("#campo-cor-texto-sidebar").css("background", color);
							$("#hexadecimal-texto-sidebar").val(color);
						});
					});

					$("#hexadecimal-texto-sidebar").keyup(function(){
						var color = $(this).val();
						$("#cor-texto-sidebar").val(color);
						$("#campo-cor-texto-sidebar").css("background", color);
					});
				</script>
			</div>

			<div class="col-xl-4 col-lg-4 col-md-6 col-sm-12">
				<div class="form-group">
					<label for="cor-texto-sidebar-action">Cor do Texto do Sidebar (Action)<span class="text-danger">*</span></label>
					<div class="input-group">
						<div class="input-group-prepend">
							<div class="input-group-text">
								<div id="campo-cor-texto-sidebar-action" style="background-color: <?php echo $dados->cor_texto_sidebar_action; ?>; border: 1px solid #ced4da; width: 23px; height: 23px; border-radius: 5px;"></div>
							</div>
						</div>
						<input type="text" id="hexadecimal-texto-sidebar-action" class="form-control color-mask" value="<?php echo $dados->cor_texto_sidebar_action; ?>" required>
						<div class="input-group-append ">
							<button type="button" id="escolher-cor-texto-sidebar-action" class="btn btn-secondary"><i class="fa-regular fa-palette"></i> Escolher Cor</button>
						</div>
					</div>
					<input type="color" name="cor_texto_sidebar_action" id="cor-texto-sidebar-action" class="d-none" value="<?php echo $dados->cor_texto_sidebar_action; ?>" required>
				</div>

				<script>
					$("#escolher-cor-texto-sidebar-action").click(function(){
						$("#cor-texto-sidebar-action").click();
						$("#cor-texto-sidebar-action").change(function(){
							var color = $("#cor-texto-sidebar-action").val();
							$("#campo-cor-texto-sidebar-action").css("background", color);
							$("#hexadecimal-texto-sidebar-action").val(color);
						});
					});

					$("#hexadecimal-texto-sidebar-action").keyup(function(){
						var color = $(this).val();
						$("#cor-texto-sidebar-action").val(color);
						$("#campo-cor-texto-sidebar-action").css("background", color);
					});
				</script>
			</div>
		</div>

		<div class="form-row">
			<div class="col-xl-6 col-lg-6 col-md-6 col-sm-12">
				<div class="form-group">
					<label for="cor-footer">Cor do Footer<span class="text-danger">*</span></label>
					<div class="input-group">
						<div class="input-group-prepend">
							<div class="input-group-text">
								<div id="campo-cor-footer" style="background-color: <?php echo $dados->cor_footer; ?>; border: 1px solid #ced4da; width: 23px; height: 23px; border-radius: 5px;"></div>
							</div>
						</div>
						<input type="text" id="hexadecimal-footer" class="form-control color-mask" value="<?php echo $dados->cor_footer; ?>" required>
						<div class="input-group-append ">
							<button type="button" id="escolher-cor-footer" class="btn btn-secondary"><i class="fa-regular fa-palette"></i> Escolher Cor</button>
						</div>
					</div>
					<input type="color" name="cor_footer" id="cor-footer" class="d-none" value="<?php echo $dados->cor_footer; ?>" required>
				</div>

				<script>
					$("#escolher-cor-footer").click(function(){
						$("#cor-footer").click();
						$("#cor-footer").change(function(){
							var color = $("#cor-footer").val();
							$("#campo-cor-footer").css("background", color);
							$("#hexadecimal-footer").val(color);
						});
					});

					$("#hexadecimal-footer").keyup(function(){
						var color = $(this).val();
						$("#cor-footer").val(color);
						$("#campo-cor-footer").css("background", color);
					});
				</script>
			</div>

			<div class="col-xl-6 col-lg-6 col-md-6 col-sm-12">
				<div class="form-group">
					<label for="cor-texto-footer">Cor do Texto do Footer<span class="text-danger">*</span></label>
					<div class="input-group">
						<div class="input-group-prepend">
							<div class="input-group-text">
								<div id="campo-cor-texto-footer" style="background-color: <?php echo $dados->cor_texto_footer; ?>; border: 1px solid #ced4da; width: 23px; height: 23px; border-radius: 5px;"></div>
							</div>
						</div>
						<input type="text" id="hexadecimal-texto-footer" class="form-control color-mask" value="<?php echo $dados->cor_texto_footer; ?>" required>
						<div class="input-group-append ">
							<button type="button" id="escolher-cor-texto-footer" class="btn btn-secondary"><i class="fa-regular fa-palette"></i> Escolher Cor</button>
						</div>
					</div>
					<input type="color" name="cor_texto_footer" id="cor-texto-footer" class="d-none" value="<?php echo $dados->cor_texto_footer; ?>" required>
				</div>

				<script>
					$("#escolher-cor-texto-footer").click(function(){
						$("#cor-texto-footer").click();
						$("#cor-texto-footer").change(function(){
							var color = $("#cor-texto-footer").val();
							$("#campo-cor-texto-footer").css("background", color);
							$("#hexadecimal-texto-footer").val(color);
						});
					});

					$("#hexadecimal-texto-footer").keyup(function(){
						var color = $(this).val();
						$("#cor-texto-footer").val(color);
						$("#campo-cor-texto-footer").css("background", color);
					});
				</script>
			</div>
		</div>

		<div class="form-row">
			<div class="col-xl-6 col-lg-6 col-md-6 col-sm-12">
				<div class="form-group">
					<label for="cor-footer-site">Cor do Footer (Site)<span class="text-danger">*</span></label>
					<div class="input-group">
						<div class="input-group-prepend">
							<div class="input-group-text">
								<div id="campo-cor-footer-site" style="background-color: <?php echo $dados->cor_footer_site; ?>; border: 1px solid #ced4da; width: 23px; height: 23px; border-radius: 5px;"></div>
							</div>
						</div>
						<input type="text" id="hexadecimal-footer-site" class="form-control color-mask" value="<?php echo $dados->cor_footer_site; ?>" required>
						<div class="input-group-append ">
							<button type="button" id="escolher-cor-footer-site" class="btn btn-secondary"><i class="fa-regular fa-palette"></i> Escolher Cor</button>
						</div>
					</div>
					<input type="color" name="cor_footer_site" id="cor-footer-site" class="d-none" value="<?php echo $dados->cor_footer_site; ?>" required>
				</div>

				<script>
					$("#escolher-cor-footer-site").click(function(){
						$("#cor-footer-site").click();
						$("#cor-footer-site").change(function(){
							var color = $("#cor-footer-site").val();
							$("#campo-cor-footer-site").css("background", color);
							$("#hexadecimal-footer-site").val(color);
						});
					});

					$("#hexadecimal-footer-site").keyup(function(){
						var color = $(this).val();
						$("#cor-footer-site").val(color);
						$("#campo-cor-footer-site").css("background", color);
					});
				</script>
			</div>

			<div class="col-xl-6 col-lg-6 col-md-6 col-sm-12">
				<div class="form-group">
					<label for="cor-texto-footer-site">Cor do Texto do Footer (Site)<span class="text-danger">*</span></label>
					<div class="input-group">
						<div class="input-group-prepend">
							<div class="input-group-text">
								<div id="campo-cor-texto-footer-site" style="background-color: <?php echo $dados->cor_texto_footer_site; ?>; border: 1px solid #ced4da; width: 23px; height: 23px; border-radius: 5px;"></div>
							</div>
						</div>
						<input type="text" id="hexadecimal-texto-footer-site" class="form-control color-mask" value="<?php echo $dados->cor_texto_footer_site; ?>" required>
						<div class="input-group-append ">
							<button type="button" id="escolher-cor-texto-footer-site" class="btn btn-secondary"><i class="fa-regular fa-palette"></i> Escolher Cor</button>
						</div>
					</div>
					<input type="color" name="cor_texto_footer_site" id="cor-texto-footer-site" class="d-none" value="<?php echo $dados->cor_texto_footer_site; ?>" required>
				</div>

				<script>
					$("#escolher-cor-texto-footer-site").click(function(){
						$("#cor-texto-footer-site").click();
						$("#cor-texto-footer-site").change(function(){
							var color = $("#cor-texto-footer-site").val();
							$("#campo-cor-texto-footer-site").css("background", color);
							$("#hexadecimal-texto-footer-site").val(color);
						});
					});

					$("#hexadecimal-texto-footer-site").keyup(function(){
						var color = $(this).val();
						$("#cor-texto-footer-site").val(color);
						$("#campo-cor-texto-footer-site").css("background", color);
					});
				</script>
			</div>
		</div>

		<div class="form-row">
			<div class="col-xl-6 col-lg-6 col-md-6 col-sm-12">
				<div class="form-group">
					<label for="cor-fundo">Cor de Fundo<span class="text-danger">*</span></label>
					<div class="input-group">
						<div class="input-group-prepend">
							<div class="input-group-text">
								<div id="campo-cor-fundo" style="background-color: <?php echo $dados->cor_fundo; ?>; border: 1px solid #ced4da; width: 23px; height: 23px; border-radius: 5px;"></div>
							</div>
						</div>
						<input type="text" id="hexadecimal-fundo" class="form-control color-mask" value="<?php echo $dados->cor_fundo; ?>" required>
						<div class="input-group-append ">
							<button type="button" id="escolher-cor-fundo" class="btn btn-secondary"><i class="fa-regular fa-palette"></i> Escolher Cor</button>
						</div>
					</div>
					<input type="color" name="cor_fundo" id="cor-fundo" class="d-none" value="<?php echo $dados->cor_fundo; ?>" required>
				</div>

				<script>
					$("#escolher-cor-fundo").click(function(){
						$("#cor-fundo").click();
						$("#cor-fundo").change(function(){
							var color = $("#cor-fundo").val();
							$("#campo-cor-fundo").css("background", color);
							$("#hexadecimal-fundo").val(color);
						});
					});

					$("#hexadecimal-fundo").keyup(function(){
						var color = $(this).val();
						$("#cor-fundo").val(color);
						$("#campo-cor-fundo").css("background", color);
					});
				</script>
			</div>

			<div class="col-xl-6 col-lg-6 col-md-6 col-sm-12">
				<div class="form-group">
					<label for="cor-texto">Cor do Texto<span class="text-danger">*</span></label>
					<div class="input-group">
						<div class="input-group-prepend">
							<div class="input-group-text">
								<div id="campo-cor-texto" style="background-color: <?php echo $dados->cor_texto; ?>; border: 1px solid #ced4da; width: 23px; height: 23px; border-radius: 5px;"></div>
							</div>
						</div>
						<input type="text" id="hexadecimal-texto" class="form-control color-mask" value="<?php echo $dados->cor_texto; ?>" required>
						<div class="input-group-append ">
							<button type="button" id="escolher-cor-texto" class="btn btn-secondary"><i class="fa-regular fa-palette"></i> Escolher Cor</button>
						</div>
					</div>
					<input type="color" name="cor_texto" id="cor-texto" class="d-none" value="<?php echo $dados->cor_texto; ?>" required>
				</div>

				<script>
					$("#escolher-cor-texto").click(function(){
						$("#cor-texto").click();
						$("#cor-texto").change(function(){
							var color = $("#cor-texto").val();
							$("#campo-cor-texto").css("background", color);
							$("#hexadecimal-texto").val(color);
						});
					});

					$("#hexadecimal-texto").keyup(function(){
						var color = $(this).val();
						$("#cor-texto").val(color);
						$("#campo-cor-texto").css("background", color);
					});
				</script>
			</div>
		</div>

		<div class="form-row">
			<div class="col-xl-6 col-lg-6 col-md-6 col-sm-12">
				<div class="form-group">
					<label for="cor-primary">Cor Principal<span class="text-danger">*</span></label>
					<div class="input-group">
						<div class="input-group-prepend">
							<div class="input-group-text">
								<div id="campo-cor-primary" style="background-color: <?php echo $dados->cor_primary; ?>; border: 1px solid #ced4da; width: 23px; height: 23px; border-radius: 5px;"></div>
							</div>
						</div>
						<input type="text" id="hexadecimal-primary" class="form-control color-mask" value="<?php echo $dados->cor_primary; ?>" required>
						<div class="input-group-append ">
							<button type="button" id="escolher-cor-primary" class="btn btn-secondary"><i class="fa-regular fa-palette"></i> Escolher Cor</button>
						</div>
					</div>
					<input type="color" name="cor_primary" id="cor-primary" class="d-none" value="<?php echo $dados->cor_primary; ?>" required>
				</div>

				<script>
					$("#escolher-cor-primary").click(function(){
						$("#cor-primary").click();
						$("#cor-primary").change(function(){
							var color = $("#cor-primary").val();
							$("#campo-cor-primary").css("background", color);
							$("#hexadecimal-primary").val(color);
						});
					});

					$("#hexadecimal-primary").keyup(function(){
						var color = $(this).val();
						$("#cor-primary").val(color);
						$("#campo-cor-primary").css("background", color);
					});
				</script>
			</div>

			<div class="col-xl-6 col-lg-6 col-md-6 col-sm-12">
				<div class="form-group">
					<label for="cor-secondary">Cor Secondária<span class="text-danger">*</span></label>
					<div class="input-group">
						<div class="input-group-prepend">
							<div class="input-group-text">
								<div id="campo-cor-secondary" style="background-color: <?php echo $dados->cor_secondary; ?>; border: 1px solid #ced4da; width: 23px; height: 23px; border-radius: 5px;"></div>
							</div>
						</div>
						<input type="text" id="hexadecimal-secondary" class="form-control color-mask" value="<?php echo $dados->cor_secondary; ?>" required>
						<div class="input-group-append ">
							<button type="button" id="escolher-cor-secondary" class="btn btn-secondary"><i class="fa-regular fa-palette"></i> Escolher Cor</button>
						</div>
					</div>
					<input type="color" name="cor_secondary" id="cor-secondary" class="d-none" value="<?php echo $dados->cor_secondary; ?>" required>
				</div>

				<script>
					$("#escolher-cor-secondary").click(function(){
						$("#cor-secondary").click();
						$("#cor-secondary").change(function(){
							var color = $("#cor-secondary").val();
							$("#campo-cor-secondary").css("background", color);
							$("#hexadecimal-secondary").val(color);
						});
					});

					$("#hexadecimal-secondary").keyup(function(){
						var color = $(this).val();
						$("#cor-secondary").val(color);
						$("#campo-cor-secondary").css("background", color);
					});
				</script>
			</div>
		</div>

		<div class="form-row">
			<div class="col-xl-6 col-lg-6 col-md-6 col-sm-12">
				<div class="form-group">
					<label for="cor-success">Cor de Sucesso<span class="text-danger">*</span></label>
					<div class="input-group">
						<div class="input-group-prepend">
							<div class="input-group-text">
								<div id="campo-cor-success" style="background-color: <?php echo $dados->cor_success; ?>; border: 1px solid #ced4da; width: 23px; height: 23px; border-radius: 5px;"></div>
							</div>
						</div>
						<input type="text" id="hexadecimal-success" class="form-control color-mask" value="<?php echo $dados->cor_success; ?>" required>
						<div class="input-group-append ">
							<button type="button" id="escolher-cor-success" class="btn btn-secondary"><i class="fa-regular fa-palette"></i> Escolher Cor</button>
						</div>
					</div>
					<input type="color" name="cor_success" id="cor-success" class="d-none" value="<?php echo $dados->cor_success; ?>" required>
				</div>

				<script>
					$("#escolher-cor-success").click(function(){
						$("#cor-success").click();
						$("#cor-success").change(function(){
							var color = $("#cor-success").val();
							$("#campo-cor-success").css("background", color);
							$("#hexadecimal-success").val(color);
						});
					});

					$("#hexadecimal-success").keyup(function(){
						var color = $(this).val();
						$("#cor-success").val(color);
						$("#campo-cor-success").css("background", color);
					});
				</script>
			</div>
			<div class="col-xl-6 col-lg-6 col-md-6 col-sm-12">
				<div class="form-group">
					<label for="cor-info">Cor de Informação<span class="text-danger">*</span></label>
					<div class="input-group">
						<div class="input-group-prepend">
							<div class="input-group-text">
								<div id="campo-cor-info" style="background-color: <?php echo $dados->cor_info; ?>; border: 1px solid #ced4da; width: 23px; height: 23px; border-radius: 5px;"></div>
							</div>
						</div>
						<input type="text" id="hexadecimal-info" class="form-control color-mask" value="<?php echo $dados->cor_info; ?>" required>
						<div class="input-group-append ">
							<button type="button" id="escolher-cor-info" class="btn btn-secondary"><i class="fa-regular fa-palette"></i> Escolher Cor</button>
						</div>
					</div>
					<input type="color" name="cor_info" id="cor-info" class="d-none" value="<?php echo $dados->cor_info; ?>" required>
				</div>

				<script>
					$("#escolher-cor-info").click(function(){
						$("#cor-info").click();
						$("#cor-info").change(function(){
							var color = $("#cor-info").val();
							$("#campo-cor-info").css("background", color);
							$("#hexadecimal-info").val(color);
						});
					});

					$("#hexadecimal-info").keyup(function(){
						var color = $(this).val();
						$("#cor-info").val(color);
						$("#campo-cor-info").css("background", color);
					});
				</script>
			</div>
		</div>

		<div class="form-row">
			<div class="col-xl-6 col-lg-6 col-md-6 col-sm-12">
				<div class="form-group">
					<label for="cor-warning">Cor de Atenção<span class="text-danger">*</span></label>
					<div class="input-group">
						<div class="input-group-prepend">
							<div class="input-group-text">
								<div id="campo-cor-warning" style="background-color: <?php echo $dados->cor_warning; ?>; border: 1px solid #ced4da; width: 23px; height: 23px; border-radius: 5px;"></div>
							</div>
						</div>
						<input type="text" id="hexadecimal-warning" class="form-control color-mask" value="<?php echo $dados->cor_warning; ?>" required>
						<div class="input-group-append ">
							<button type="button" id="escolher-cor-warning" class="btn btn-secondary"><i class="fa-regular fa-palette"></i> Escolher Cor</button>
						</div>
					</div>
					<input type="color" name="cor_warning" id="cor-warning" class="d-none" value="<?php echo $dados->cor_warning; ?>" required>
				</div>

				<script>
					$("#escolher-cor-warning").click(function(){
						$("#cor-warning").click();
						$("#cor-warning").change(function(){
							var color = $("#cor-warning").val();
							$("#campo-cor-warning").css("background", color);
							$("#hexadecimal-warning").val(color);
						});
					});

					$("#hexadecimal-warning").keyup(function(){
						var color = $(this).val();
						$("#cor-warning").val(color);
						$("#campo-cor-warning").css("background", color);
					});
				</script>
			</div>
			<div class="col-xl-6 col-lg-6 col-md-6 col-sm-12">
				<div class="form-group">
					<label for="cor-danger">Cor de Perigo<span class="text-danger">*</span></label>
					<div class="input-group">
						<div class="input-group-prepend">
							<div class="input-group-text">
								<div id="campo-cor-danger" style="background-color: <?php echo $dados->cor_danger; ?>; border: 1px solid #ced4da; width: 23px; height: 23px; border-radius: 5px;"></div>
							</div>
						</div>
						<input type="text" id="hexadecimal-danger" class="form-control color-mask" value="<?php echo $dados->cor_danger; ?>" required>
						<div class="input-group-append ">
							<button type="button" id="escolher-cor-danger" class="btn btn-secondary"><i class="fa-regular fa-palette"></i> Escolher Cor</button>
						</div>
					</div>
					<input type="color" name="cor_danger" id="cor-danger" class="d-none" value="<?php echo $dados->cor_danger; ?>" required>
				</div>

				<script>
					$("#escolher-cor-danger").click(function(){
						$("#cor-danger").click();
						$("#cor-danger").change(function(){
							var color = $("#cor-danger").val();
							$("#campo-cor-danger").css("background", color);
							$("#hexadecimal-danger").val(color);
						});
					});

					$("#hexadecimal-danger").keyup(function(){
						var color = $(this).val();
						$("#cor-danger").val(color);
						$("#campo-cor-danger").css("background", color);
					});
				</script>
			</div>
		</div>

		<div class="form-row align-items-center">
			<div class="col-md-6">
				<div class="form-group">
					<label for="conteudo-rodape-site-coluna-1">Conteúdo do Rodapé do Site (1ª Coluna)</label>
					<textarea name="conteudo_rodape_site_coluna_1" id="conteudo-rodape-site-coluna-1" rows="6" class="form-control"><?php echo $dados->conteudo_rodape_site_coluna_1; ?></textarea>
				</div>
			</div>
			<div class="col-md-6">
				<div class="form-group">
					<label for="conteudo-rodape-site-coluna-2">Conteúdo do Rodapé do Site (2ª Coluna)</label>
					<textarea name="conteudo_rodape_site_coluna_2" id="conteudo-rodape-site-coluna-2" rows="6" class="form-control"><?php echo $dados->conteudo_rodape_site_coluna_2; ?></textarea>
				</div>
			</div>
		</div>

		<script>
			CKEDITOR.replace("conteudo-rodape-site-coluna-1");
			CKEDITOR.replace("conteudo-rodape-site-coluna-2");
		</script>

		<div class="form-row align-items-center mb-3">
			<div class="col-xl-3 col-lg-3 col-md-4 col-sm-12 text-center text-md-left">
				<img src="<?php echo show_link($dados->logo_secundaria_sistema); ?>" id="imagem-escolhida-logo-secundaria" class="img-fluid img-thumbnail my-2">
			</div>
			<div class="col-xl-9 col-lg-9 col-md-8 col-sm-12">
				<div class="form-group">
					<label for="imagem-logo-secundaria">Logo Secundaria <i>(Tela de Login, Esqueci Minha Senha e Cadastro de Usuário)</i><span class="text-danger">*</span></label>
						<div class="input-group mb-3">
							<input type="text" id="diretorio-imagem-logo-secundaria" class="form-control" value="<?php echo $dados->logo_secundaria_sistema; ?>" readonly>
							<div class="input-group-append">
								<button type="button" id="btn-procurar-logo-secundaria" class="btn btn-secondary"><i class="fa-regular fa-folder-open"></i> Procurar</button>
							</div>
						</div>
					<input type="file" name="imagem_logo_secundaria" id="imagem-logo-secundaria" class="d-none" accept="image/*">
					<input type="hidden" name="logo_secundaria_antiga" class="d-none" value="<?php echo $dados->logo_secundaria_sistema; ?>">
				</div>
			</div>
		</div>

		<script>
			$("#btn-procurar-logo-secundaria").click(function(){
				$("#imagem-logo-secundaria").click();

				$("#imagem-logo-secundaria").change(function(){
					$("#diretorio-imagem-logo-secundaria").val($(this).prop("files")[0].name);
					imagePreview($(this), $("#imagem-escolhida-logo-secundaria"));
					$("#imagem-logo-secundaria").attr("required", true);
				});
			});
		</script>

		<div class="form-row align-items-center mb-3">
			<div class="col-xl-3 col-lg-3 col-md-4 col-sm-12 text-center text-md-left">
				<img src="<?php echo show_link($dados->imagem_fundo_login); ?>" id="imagem-escolhida-imagem-fundo" class="img-fluid img-thumbnail my-2">
			</div>
			<div class="col-xl-9 col-lg-9 col-md-8 col-sm-12">
				<div class="form-group">
					<label for="imagem-fundo">Imagem de Fundo <i>(Tela de Login)</i><span class="text-danger">*</span></label>
					<div class="input-group">
						<input type="text" id="diretorio-imagem-fundo" class="form-control" value="<?php echo $dados->imagem_fundo_login; ?>" readonly>
						<div class="input-group-append">
							<button type="button" id="btn-procurar-imagem-fundo" class="btn btn-secondary"><i class="fa-regular fa-folder-open"></i> Procurar</button>
						</div>
					</div>
					<input type="file" name="imagem_fundo" id="imagem-fundo" class="d-none" accept="image/*">
					<input type="hidden" name="imagem_fundo_antiga" class="d-none" value="<?php echo $dados->imagem_fundo_login; ?>">
				</div>
			</div>
		</div>

		<script>
			$("#btn-procurar-imagem-fundo").click(function(){
				$("#imagem-fundo").click();

				$("#imagem-fundo").change(function(){
					$("#diretorio-imagem-fundo").val($(this).prop("files")[0].name);
					imagePreview($(this), $("#imagem-escolhida-imagem-fundo"));
					$("#imagem-fundo").attr("required", true);
				});
			});
		</script>

		<div class="form-row align-items-center mb-3">
			<div class="col-xl-3 col-lg-3 col-md-4 col-sm-12 text-center text-md-left">
				<img src="<?php echo show_link($dados->icone_usuario_masculino); ?>" id="imagem-escolhida-usuario-masculino" class="img-fluid img-thumbnail my-2">
			</div>
			<div class="col-xl-9 col-lg-9 col-md-8 col-sm-12">
				<div class="form-group">
					<label for="imagem-usuario-masculino">Icone de Usuário Masculino<span class="text-danger">*</span></label>
					<div class="input-group">
						<input type="text" id="diretorio-imagem-usuario-masculino" class="form-control" value="<?php echo $dados->icone_usuario_masculino; ?>" readonly>
						<div class="input-group-append">
							<button type="button" id="btn-procurar-usuario-masculino" class="btn btn-secondary"><i class="fa-regular fa-folder-open"></i> Procurar</button>
						</div>
					</div>
					<span><i>Tamanho Recomendado 350x350 pixels</i></span>
					<input type="file" name="imagem_usuario_masculino" id="imagem-usuario-masculino" class="d-none" accept="image/png">
					<input type="hidden" name="icone_usuario_masculino_antigo" class="d-none" value="<?php echo $dados->icone_usuario_masculino; ?>">
				</div>
			</div>
		</div>

		<script>
			$("#btn-procurar-usuario-masculino").click(function(){
				$("#imagem-usuario-masculino").click();

				$("#imagem-usuario-masculino").change(function(){
					$("#diretorio-imagem-usuario-masculino").val($(this).prop("files")[0].name);
					imagePreview($(this), $("#imagem-escolhida-usuario-masculino"));
					$("#imagem-usuario-masculino").attr("required", true);
				});
			});
		</script>

		<div class="form-row align-items-center mb-3">
			<div class="col-xl-3 col-lg-3 col-md-4 col-sm-12 text-center text-md-left">
				<img src="<?php echo show_link($dados->icone_usuario_feminino); ?>" id="imagem-escolhida-usuario-feminino" class="img-fluid img-thumbnail my-2">
			</div>
			<div class="col-xl-9 col-lg-9 col-md-8 col-sm-12">
				<div class="form-group">
					<label for="imagem-usuario-feminino">Icone de Usuário Feminino<span class="text-danger">*</span></label>
					<div class="input-group">
						<input type="text" id="diretorio-imagem-usuario-feminino" class="form-control" value="<?php echo $dados->icone_usuario_feminino; ?>" readonly>
						<div class="input-group-append">
							<button type="button" id="btn-procurar-usuario-feminino" class="btn btn-secondary"><i class="fa-regular fa-folder-open"></i> Procurar</button>
						</div>
					</div>
					<span><i>Tamanho Recomendado 350x350 pixels</i></span>
					<input type="file" name="imagem_usuario_feminino" id="imagem-usuario-feminino" class="d-none" accept="image/png">
					<input type="hidden" name="icone_usuario_feminino_antigo" class="d-none" value="<?php echo $dados->icone_usuario_feminino; ?>">
				</div>
			</div>
		</div>

		<script>
			$("#btn-procurar-usuario-feminino").click(function(){
				$("#imagem-usuario-feminino").click();

				$("#imagem-usuario-feminino").change(function(){
					$("#diretorio-imagem-usuario-feminino").val($(this).prop("files")[0].name);
					imagePreview($(this), $("#imagem-escolhida-usuario-feminino"));
					$("#imagem-usuario-feminino").attr("required", true);
				});
			});
		</script>


		<div class="form-group">
			<div class="input-group">
				<div class="input-group-prepend">
					<label for="bordas-arredondadas" class="input-group-text">Bordas Arredondadas</label>
				</div>
				<select name="bordas_arredondadas" id="bordas-arredondadas" class="form-control" required>
					<option value="">Selecione um...</option>
					<option value="S">Sim</option>
					<option value="N">Não</option>
				</select>
			</div>
		</div>

		<script>
			$(function(){
				$("#bordas-arredondadas").val("<?php echo $dados->bordas_arredondadas; ?>");
			});
		</script>

		<div class="form-group">
			<div class="input-group">
				<div class="input-group-prepend">
					<label for="ganhe-mais" class="input-group-text">Ganhe &nbsp;<i class="fa-regular fa-plus"></i></label>
				</div>
				<select name="ganhe_mais" id="ganhe-mais" class="form-control" required>
					<option value="">Selecione um...</option>
					<option value="S">Sim</option>
					<option value="N">Não</option>
				</select>
			</div>
		</div>

		<script>
			$(function(){
				$("#ganhe-mais").val("<?php echo $dados->ganhe_mais; ?>");
			});
		</script>

		<hr>
		<h5 class="mb-3">Qualificação</h5>

		<div class="form-group">
			<div class="input-group">
				<div class="input-group-prepend">
					<label for="num-indicado" class="input-group-text">Número de Indicados</label>
				</div>
				<input type="number" name="num_indicado" id="num-indicado" class="form-control" value="<?php echo $dados->num_indicado; ?>" min="0" max="999" step="1" required>
			</div>
		</div>

		<hr>
		<h5 class="mb-3">Comissão</h5>

		<div class="form-group">
			<div class="input-group">
				<div class="input-group-prepend">
					<label for="comissao-indicacao" class="input-group-text">Pagar Comissão de Venda</label>
				</div>
				<select name="comissao_indicacao" id="comissao-indicacao" class="form-control" required>
					<option value="">Selecione um...</option>
					<option value="S">Sim</option>
					<option value="N">Não</option>
				</select>
			</div>
		</div>

		<div class="form-group">
			<div class="input-group">
				<div class="input-group-prepend">
					<label for="tipo-comissao" class="input-group-text">Tipo de Comissão</label>
				</div>
				<select name="tipo_comissao" id="tipo-comissao" class="form-control" <?php if ($dados->comissao_indicacao == "N") {echo "readonly";} ?> required>
					<option value="">Selecione um...</option>
					<option value="T">Todas as Vendas</option>
					<option value="P">Apenas a Primeira</option>
				</select>
			</div>
		</div>

		<script>
			$(function(){
				$("#comissao-indicacao").val("<?php echo $dados->comissao_indicacao; ?>");
				$("#tipo-comissao").val("<?php echo $dados->tipo_comissao; ?>");
			});

			$("#comissao-indicacao").change(function(){
				if ($(this).val() == "S") {
					$("#tipo-comissao").attr("readonly", false);
					$("#tipo-comissao").attr("required", true);
				}
				else{
					$("#tipo-comissao").attr("readonly", true);
					$("#tipo-comissao").attr("required", false);
					$("#tipo-comissao").val("");
				}
			});
		</script>

		<hr>
		<h5 class="mb-3">Pagamento de Produto</h5>
		
		<div class="form-group">
			<div class="input-group">
				<div class="input-group-prepend">
					<label for="tipo-forma-pagamento" class="input-group-text">Forma de Pagamento de Produto</label>
				</div>
				<select name="tipo_forma_pagamento" id="tipo-forma-pagamento" class="form-control" required>
					<option value="">Selecione um...</option>
					<option value="PagSeguro">PagSeguro</option>
				</select>
			</div>
		</div>

		<div id="config-pagseguro" class="form-row" style="<?php if ($dados->tipo_forma_pagamento != "PagSeguro") {echo "display: none;";} ?>">
			<div class="col-xl-6 col-lg-6 col-md-6 col-sm-12">
				<div class="form-group">
					<div class="input-group">
						<div class="input-group-prepend">
							<label for="email-pagseguro" class="input-group-text">E-mail do PagSeguro</label>
						</div>
						<input type="email" name="email_pagseguro" id="email-pagseguro" class="form-control" value="<?php echo $dados->email_pagseguro; ?>" required>
					</div>
				</div>
			</div>
			<div class="col-xl-6 col-lg-6 col-md-6 col-sm-12">
				<div class="form-group">
					<div class="input-group">
						<div class="input-group-prepend">
							<label for="token-pagseguro" class="input-group-text">Token do PagSeguro</label>
						</div>
						<input type="text" name="token_pagseguro" id="token-pagseguro" class="form-control" value="<?php echo $dados->token_pagseguro; ?>" required>
					</div>
				</div>
			</div>
			<div class="col-xl-6 col-lg-6 col-md-12 col-sm-12">
				<div class="form-group">
					<div class="input-group">
						<div class="input-group-prepend">
							<label for="recebimento-pagseguro" class="input-group-text">Recebimento do PagSeguro</label>
						</div>
						<select name="recebimento_pagseguro" id="recebimento-pagseguro" class="form-control" required>
							<option value="">Selecione um...</option>
							<option value="1">Em 14 dias</option>
							<option value="2">Em 30 dias</option>
						</select>
					</div>
				</div>
			</div>
			<div class="col-xl-6 col-lg-6 col-md-12 col-sm-12">
				<div class="form-group">
					<div class="input-group">
						<div class="input-group-prepend">
							<label for="ambiente-teste-pagseguro" class="input-group-text">Ambiente de Teste</label>
						</div>
						<select name="ambiente_teste_pagseguro" id="ambiente-teste-pagseguro" class="form-control" required>
							<option value="">Selecione um...</option>
							<option value="S">Sim</option>
							<option value="N">Não</option>
						</select>
					</div>
				</div>
			</div>
		</div>

		<script>
			$(function(){
				$("#tipo-forma-pagamento").val("<?php echo $dados->tipo_forma_pagamento; ?>");
				$("#ambiente-teste-pagseguro").val("<?php echo $dados->ambiente_teste_pagseguro; ?>");
				$("#recebimento-pagseguro").val("<?php echo $dados->recebimento_pagseguro; ?>");
			});

			$("#tipo-forma-pagamento").change(function(){
				if ($(this).val() == "PagSeguro") {
					$("#config-pagseguro").show();
				}
				else{
					$("#config-pagseguro").fadeOut(0);
				}
			});
		</script>

		<hr>
		<h5 class="mb-3">Adesão</h5>

		<div class="form-group">
			<div class="input-group">
				<div class="input-group-prepend">
					<label for="cobrar-adesao" class="input-group-text">Cobrar Adesão</label>
				</div>
				<select name="cobrar_adesao" id="cobrar-adesao" class="form-control" required>
					<option value="">Selecione um...</option>
					<option value="S">Sim</option>
					<option value="N">Não</option>
				</select>
			</div>
		</div>

		<div class="form-group">
			<div class="input-group">
				<div class="input-group-prepend">
					<label for="valor-adesao" class="input-group-text">Valor da Adesão</label>
				</div>
				<input type="text" name="valor_adesao" id="valor-adesao" class="form-control" value="<?php echo $dados->valor_adesao; ?>" <?php if ($dados->cobrar_adesao == "N") {echo "readonly";} ?> required>
			</div>
		</div>

		<div class="form-group">
			<label for="porcentagem-admin">Porcentagem do Admin<span class="text-danger">*</span></label>
			<div class="input-group">
				<div class="input-group-prepend">
					<div class="input-group-text">
						<i class="fa-regular fa-percentage"></i>
					</div>
				</div>
				<input type="number" name="porcentagem_adesao_admin" id="porcentagem-admin" class="form-control" value="<?php echo $dados->porcentagem_adesao_admin; ?>" <?php if ($dados->cobrar_adesao == "N") {echo "readonly";} ?>  min="0" max="100" required>
			</div>
		</div>

		<div class="form-group">
			<label for="porcentagem-pai">Porcentagem do Pai<span class="text-danger">*</span></label>
			<div class="input-group">
				<div class="input-group-prepend">
					<div class="input-group-text">
						<i class="fa-regular fa-percentage"></i>
					</div>
				</div>
				<input type="number" name="porcentagem_adesao_pai" id="porcentagem-pai" class="form-control" value="<?php echo $dados->porcentagem_adesao_pai; ?>" <?php if ($dados->cobrar_adesao == "N") {echo "readonly";} ?>  min="0" max="100" required>
			</div>
		</div>

		<script>
			$(function(){
				$("#cobrar-adesao").val("<?php echo $dados->cobrar_adesao; ?>");
			});

			$("#cobrar-adesao").change(function(){
				if ($(this).val() == "S") {
					$("#valor-adesao").attr("readonly", false);
					$("#link-pagamento-adesao").attr("readonly", false);
					$("#porcentagem-admin").attr("readonly", false);
					$("#porcentagem-pai").attr("readonly", false);
				}
				else{
					$("#valor-adesao").attr("readonly", true);
					$("#valor-adesao").val("0,00");

					$("#link-pagamento-adesao").attr("readonly", true);
					$("#link-pagamento-adesao").val("");

					$("#porcentagem-admin").attr("readonly", true);
					$("#porcentagem-admin").val("");

					$("#porcentagem-pai").attr("readonly", true);
					$("#porcentagem-pai").val("");
				}
			});

			$("#valor-adesao").mask("#.##0,00", {reverse: true});
		</script>

		<hr>
		<h5 class="mb-3">Saque</h5>

		<div class="form-group">
			<div class="input-group">
				<div class="input-group-prepend">
					<label for="periodo-saque" class="input-group-text">Configuração do Saque</label>
				</div>
				<select name="periodo_saque" id="periodo-saque" class="form-control" required>
					<option value="">Selecione um...</option>
					<option value="S">Saque em Dias Específicos</option>
					<option value="N">Saque Todo Dia</option>
				</select>
			</div>
		</div>

		<div class="form-group">
			<div class="input-group">
				<div class="input-group-prepend">
					<label for="dias-saque" class="input-group-text">Dias de Saque</label>
				</div>
				<input type="text" name="dias_saque" id="dias-saque" class="form-control" value="<?php echo $dados->dias_saque; ?>" placeholder="Exemplo: 1, 3, 5, 8, 17, 23" data-toggle="popover" data-container="body" data-placement="bottom" data-trigger="focus" title="Aviso" data-content="Preencha nesse campo os dias que os usuários poderão solicitar saque. Exemplo: 1, 3, 5, 8, 17, 23" required>
			</div>
		</div>

		<div class="form-group">
			<div class="input-group">
				<div class="input-group-prepend">
					<label for="valor-minimo-saque" class="input-group-text">Valor Mínimo de Saque</label>
				</div>
				<input type="text" name="valor_minimo_saque" id="valor-minimo-saque" class="form-control" value="<?php echo $dados->valor_minimo_saque; ?>" required>
			</div>
		</div>

		<div class="form-group">
			<div class="input-group">
				<div class="input-group-prepend">
					<label for="cobrar-taxa" class="input-group-text">Cobrar Taxa de Saque</label>
				</div>
				<select name="cobrar_taxa" id="cobrar-taxa" class="form-control" required>
					<option value="">Selecione um...</option>
					<option value="S">Sim</option>
					<option value="N">Não</option>
				</select>
			</div>
		</div>

		<div class="form-group">
			<div class="input-group">
				<div class="input-group-prepend">
					<label for="taxa-fixa" class="input-group-text">Taxa de Saque Fixa</label>
				</div>
				<select name="taxa_fixa" id="taxa-fixa" class="form-control" required>
					<option value="">Selecione um...</option>
					<option value="S">Sim</option>
					<option value="N">Não</option>
				</select>
			</div>
		</div>

		<div class="form-group">
			<label for="porcentagem-valor-saque">Porcentagem do Valor do Saque<span class="text-danger">*</span></label>
			<div class="input-group">
				<div class="input-group-prepend">
					<div class="input-group-text">
						<i class="fa-regular fa-percentage"></i>
					</div>
				</div>
				<input type="number" name="valor_taxa" id="porcentagem-valor-saque" class="form-control" value="<?php echo intval($dados->valor_taxa); ?>"  min="0" max="100" step="1" required>
			</div>
		</div>

		<div class="form-group">
			<label for="valor-taxa">Valor da Taxa de Saque<span class="text-danger">*</span></label>
			<div class="input-group">
				<div class="input-group-prepend">
					<div class="input-group-text">
						<i class="fa-regular fa-dollar-sign"></i>
					</div>
				</div>
				<input type="text" name="valor_taxa" id="valor-taxa" class="form-control" value="<?php echo $dados->valor_taxa; ?>"  required>
			</div>
		</div>

		<script>
			$(function(){
				$("#periodo-saque").val("<?php echo $dados->periodo_saque; ?>");
				$("#cobrar-taxa").val("<?php echo $dados->cobrar_taxa; ?>");
				$("#taxa-fixa").val("<?php echo $dados->taxa_fixa; ?>");

				if ($("#periodo-saque").val() == "N") {
					$("#dias-saque").parent().fadeOut(0);
					$("#dias-saque").attr("required", false);
					$("#dias-saque").val("");
				}

				if ($("#cobrar-taxa").val() == "N") {
					$("#taxa-fixa").parent().fadeOut(0);
					$("#taxa-fixa").attr("required", false);
					$("#taxa-fixa").val("");
				}

				if ($("#cobrar-taxa").val() == "S") {
					if ($("#taxa-fixa").val() == "S") {
						$("#valor-taxa").parent().parent().show();
						$("#valor-taxa").attr("required", true);
						$("#valor-taxa").attr("name", "valor_taxa");
						$("#porcentagem-valor-saque").parent().parent().fadeOut(0);
						$("#porcentagem-valor-saque").attr("required", false);
						$("#porcentagem-valor-saque").val("");
						$("#porcentagem-valor-saque").attr("name", "");
					}
					else{
						$("#porcentagem-valor-saque").parent().parent().show();
						$("#porcentagem-valor-saque").attr("required", true);
						$("#porcentagem-valor-saque").attr("name", "valor_taxa");
						$("#valor-taxa").parent().parent().fadeOut(0);
						$("#valor-taxa").attr("required", false);
						$("#valor-taxa").val("");
						$("#valor-taxa").attr("name", "");
					}
				}
				else{
					$("#valor-taxa").parent().parent().fadeOut(0);
					$("#valor-taxa").attr("required", false);
					$("#valor-taxa").val("");
					$("#valor-taxa").attr("name", "");
					$("#porcentagem-valor-saque").parent().parent().fadeOut(0);
					$("#porcentagem-valor-saque").attr("required", false);
					$("#porcentagem-valor-saque").val("");
					$("#porcentagem-valor-saque").attr("name", "");
				}
			});

			$("#periodo-saque").change(function(){
				if ($(this).val() == "S") {
					$("#dias-saque").parent().show();
					$("#dias-saque").attr("required", true);
				}
				else{
					$("#dias-saque").parent().fadeOut(0);
					$("#dias-saque").attr("required", false);
					$("#dias-saque").val("");
				}
			});

			$("#cobrar-taxa").change(function(){
				if ($(this).val() == "S") {
					$("#taxa-fixa").parent().show();
					$("#taxa-fixa").attr("required", true);
				}
				else{
					$("#taxa-fixa").parent().fadeOut(0);
					$("#taxa-fixa").attr("required", false);
					$("#taxa-fixa").val("");
					
					$("#valor-taxa").parent().parent().fadeOut(0);
					$("#valor-taxa").attr("required", false);
					$("#valor-taxa").val("");
					$("#valor-taxa").attr("name", "");
					$("#porcentagem-valor-saque").parent().parent().fadeOut(0);
					$("#porcentagem-valor-saque").attr("required", false);
					$("#porcentagem-valor-saque").val("");
					$("#porcentagem-valor-saque").attr("name", "");
				}
			});

			$("#taxa-fixa").change(function(){
				if ($(this).val() == "S") {
					$("#valor-taxa").parent().parent().show();
					$("#valor-taxa").attr("required", true);
					$("#valor-taxa").attr("name", "valor_taxa");
					$("#porcentagem-valor-saque").parent().parent().fadeOut(0);
					$("#porcentagem-valor-saque").attr("required", false);
					$("#porcentagem-valor-saque").val("");
					$("#porcentagem-valor-saque").attr("name", "");
				}
				else{
					$("#porcentagem-valor-saque").parent().parent().show();
					$("#porcentagem-valor-saque").attr("required", true);
					$("#porcentagem-valor-saque").attr("name", "valor_taxa");
					$("#valor-taxa").parent().parent().fadeOut(0);
					$("#valor-taxa").attr("required", false);
					$("#valor-taxa").val("");
					$("#valor-taxa").attr("name", "");
				}
			});

			$("#valor-minimo-saque").mask("#.##0,00", {reverse: true});
			$("#valor-taxa").mask("#.##0,00", {reverse: true});
		</script>
	
		<hr>
		<h5 class="mb-3">Rede</h5>
		
		<div class="form-group">
			<div class="input-group">
				<div class="input-group-prepend">
					<label for="matrix-arvore" class="input-group-text">Matrix da Rede</label>
				</div>
				<input type="number" name="matrix_arvore" id="matrix-arvore" class="form-control" value="<?php echo $dados->matrix_arvore; ?>" min="2" required>
			</div>
		</div>

		<div class="form-group">
			<div class="input-group">
				<div class="input-group-prepend">
					<label for="nivel-arvore" class="input-group-text">Níveis da Rede</label>
				</div>
				<input type="number" name="nivel_arvore" id="nivel-arvore" class="form-control" value="<?php echo $dados->nivel_arvore; ?>" min="1" required>
			</div>
		</div>

		<div class="form-group">
			<div class="input-group">
				<div class="input-group-prepend">
					<label for="tipo-comissao-rede" class="input-group-text">Tipo de Comissão de Rede</label>
				</div>
				<select name="tipo_comissao_rede" id="tipo-comissao-rede" class="form-control" required>
					<option value="">Selecione um...</option>
					<option value="1">Todos os produtos vão para a rede</option>
					<option value="2">Apenas o produto de melhor plano (Cashback 50% do valor da rede dos outros produtos para o cliente)</option>
				</select>
			</div>
			<script>
				$(function(){
					$("#tipo-comissao-rede").val("<?php echo $dados->tipo_comissao_rede; ?>");
				});
			</script>
		</div>

		<div class="form-group">
			<div class="input-group">
				<div class="input-group-prepend">
					<label for="tipo-pagamento-rede" class="input-group-text">Tipo de Pagamento de Rede</label>
				</div>
				<select name="tipo_pagamento_rede" id="tipo-pagamento-rede" class="form-control" required>
					<option value="">Selecione um...</option>
					<option value="1">Com Compressão</option>
					<option value="2">Sem Compressão</option>
				</select>
			</div>
			<script>
				$(function(){
					$("#tipo-pagamento-rede").val("<?php echo $dados->tipo_pagamento_rede; ?>");
				});
			</script>
		</div>


		<div class="form-group">
			<div class="input-group">
				<div class="input-group-prepend">
					<label for="tipo-visualizacao-rede" class="input-group-text">Tipo Visualização da Rede</label>
				</div>
				<select name="tipo_visualizacao_rede" id="tipo-visualizacao-rede" class="form-control" required>
					<option value="">Selecione um...</option>
					<option value="1">Árvore</option>
					<option value="2">Pasta</option>
				</select>
			</div>

			<script>
				$(function(){
					$("#tipo-visualizacao-rede").val("<?php echo $dados->tipo_visualizacao_rede; ?>");
				});
			</script>
		</div>

		<hr>
		<h5 class="mb-3">Dados Bancários</h5>
		
		<div class="form-row">
			<div class="col-xl-6 col-lg-6 col-md-6 col-sm-12">
				<div class="form-group">
					<div class="input-group">
						<div class="input-group-prepend">
							<label for="razao-social" class="input-group-text">Razão Social</label>
						</div>
						<input type="text" name="razao_social" id="razao-social" class="form-control" value="<?php echo $dados->razao_social; ?>">
					</div>
				</div>
			</div>

			<div class="col-xl-6 col-lg-6 col-md-6 col-sm-12">
				<div class="form-group">
					<div class="input-group">
						<div class="input-group-prepend">
							<label for="cnpj-empresa" class="input-group-text">CNPJ Empresa</label>
						</div>
						<input type="text" name="cnpj_empresa" id="cnpj-empresa" class="form-control" value="<?php echo $dados->cnpj_empresa; ?>">
					</div>
				</div>
			</div>
		</div>

		<div class="form-row">
			<div class="col-xl-4 col-lg-4 col-md-4 col-sm-12">
				<div class="form-group">
					<div class="input-group">
						<div class="input-group-prepend">
							<label for="nome-banco" class="input-group-text">Nome do Banco</label>
						</div>
						<input type="text" name="nome_banco" id="nome-banco" class="form-control" value="<?php echo $dados->nome_banco; ?>">
					</div>
				</div>
			</div>
			<div class="col-xl-4 col-lg-4 col-md-4 col-sm-12">
				<div class="form-group">
					<div class="input-group">
						<div class="input-group-prepend">
							<label for="numero-agencia" class="input-group-text">Número da Agência</label>
						</div>
						<input type="text" name="numero_agencia" id="numero-agencia" class="form-control" value="<?php echo $dados->numero_agencia; ?>">
					</div>
				</div>
			</div>
			<div class="col-xl-4 col-lg-4 col-md-4 col-sm-12">
				<div class="form-group">
					<div class="input-group">
						<div class="input-group-prepend">
							<label for="numero-conta" class="input-group-text">Número da Conta</label>
						</div>
						<input type="text" name="numero_conta" id="numero-conta" class="form-control" value="<?php echo $dados->numero_conta; ?>">
					</div>
				</div>
			</div>
		</div>

		<div class="form-group">
			<div class="input-group">
				<div class="input-group-prepend">
					<label for="pix" class="input-group-text">Pix</label>
				</div>
				<input type="text" name="pix" id="pix" class="form-control" value="<?php echo $dados->pix; ?>">
			</div>
		</div>

		<div class="form-group">
			<div class="input-group">
				<div class="input-group-prepend">
					<label for="email-confirmacao" class="input-group-text">E-mail de Confirmação</label>
				</div>
				<input type="email" name="email_confirmacao" id="email-confirmacao" class="form-control" value="<?php echo $dados->email_confirmacao; ?>">
			</div>
		</div>

		<hr>
		<h5 class="mb-3">E-mail</h5>
		
		<div class="form-group">
			<div class="input-group">
				<div class="input-group-prepend">
					<label for="host-email" class="input-group-text">Servidor SMTP</label>
				</div>
				<input type="text" name="host_email" id="host-email" class="form-control" value="<?php echo $dados->host_email; ?>">
			</div>
		</div>

		<div class="form-row">
			<div class="col-md-6">
				<div class="form-group">
					<div class="input-group">
						<div class="input-group-prepend">
							<label for="username-email" class="input-group-text">Usuário</label>
						</div>
						<input type="email" name="username_email" id="username-email" class="form-control" value="<?php echo $dados->username_email; ?>">
					</div>
				</div>
			</div>

			<div class="col-md-6">
				<div class="form-group">
					<div class="input-group">
						<div class="input-group-prepend">
							<label for="password-email" class="input-group-text">Senha</label>
						</div>
						<input type="password" name="password_email" id="password-email" class="form-control" value="<?php echo $dados->password_email; ?>">
					</div>
				</div>
			</div>
		</div>

		<div class="form-row align-items-center">
			<div class="col-xl-6 col-lg-6 col-md-6 col-sm-12">
				<button class="btn btn-primary my-2"><i class="fa-regular fa-save"></i> Salvar</button>
			</div>
			<div class="col-xl-6 col-lg-6 col-md-6 col-sm-12 text-md-right">
				<button type="button" id="btn-zerar" class="btn btn-danger my-2"><i class="fa-regular fa-shredder"></i> Zerar Banco de Dados</button>
			</div>
		</div>
	</form>
</div>

<div class="modal fade" id="modal-zerar-certificado" tabindex="-1" role="dialog" aria-hidden="true">
	<div class="modal-dialog" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h5 class="modal-title"><i class="fa-regular fa-exclamation-triangle"></i> Aviso</h5>
			</div>
			<div class="modal-body">
				<p id="modal-text">Tem certeza que deseja <strong class="text-danger">ZERAR O BANCO DE DADOS</strong>?</p>
			</div>
			<div class="modal-footer">
				<a href="<?php echo show_link("/zerar-banco-dados/"); ?>" class="btn btn-white"><i class="fa-regular fa-check"></i> Sim</a>
				<button type="button" class="btn btn-white" data-dismiss="modal"><i class="fa-regular fa-times"></i> Não</button>
			</div>
		</div>
	</div>
</div>

<script>
	$(".color-mask").mask("SFFFFFF", {'translation': {
		S: {pattern: /[#]/},
		F: {pattern: /[ A-Fa-f0-9]/}}
	});

	$("#cnpj-empresa").mask("99.999.999/9999-99");

	$("#btn-zerar").click(function(){
		$("#modal-zerar-certificado").modal("show");
	});
</script>

<?php import_file(DIR_TEMPLATES."footer.php"); ?>